# $Revision: 1.15.4.5 $, $Date: 2007/06/11 12:18:55 $
#
# Conditional build:
%bcond_without	flash	# don't build FLASH video provider
%bcond_without	mpg	# don't build support for MPG/MPEG3
#
Summary:	Additional providers and drivers for DirectFB
Summary(pl):	DirectFB - dodatkowe wtyczki i sterowniki do DirectFB
Name:		DirectFB-extra
Version:	1.0.0
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://www.directfb.org/download/DirectFB-extra/%{name}-%{version}.tar.gz
# Source0-md5:	2d744ad06139640857b988d244275235
Patch0:		%{name}-acfix.patch
Patch1:		%{name}-mpeg3_open.patch
URL:		http://www.directfb.org/
BuildRequires:	DirectFB-devel >= 1:%{version}
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	FusionSound-devel >= 0.9.18
%{?with_flash:BuildRequires:	gplflash-devel >= 0.4.10-5}
BuildRequires:	imlib2-devel
%{?with_mpg:BuildRequires:	libmpeg3-devel}
BuildRequires:	libsvg-cairo-devel >= 0.1.6
BuildRequires:	libtool
BuildRequires:	openquicktime-devel
BuildRequires:	pkgconfig >= 1:0.9
BuildRequires:	swfdec-devel >= 0.3.0
BuildRequires:	xine-lib-devel >= 2:1.0-0.rc3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dfbdir		%(pkg-config --variable=moduledir directfb-internal)

%description
This package contains additional image/video/font providers and
graphics/input drivers (currently Imlib2 image provider and
OpenQuicktime video provider).

%description -l pl
Ten pakiet zawiera dodatkowe wtyczki dostarczajce grafik, obraz i
fonty oraz sterowniki grafiki i wejciowe (aktualnie: wtyczk
dostarczajc grafik poprzez Imlib2 oraz wtyczk dostarczajc obraz
OpenQuicktime).

%package -n DirectFB-image-imlib2
Summary:	Imlib2 image provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca grafik poprzez Imlib2
Group:		Libraries
%requires_eq	DirectFB

%description -n DirectFB-image-imlib2
This package contains image provider based on Imlib2 for DirectFB.

%description -n DirectFB-image-imlib2 -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc grafik poprzez
bibliotek Imlib2.

%package -n DirectFB-image-bmp
Summary:	BMP image provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca grafik BMP
Group:		Libraries
%requires_eq	DirectFB

%description -n DirectFB-image-bmp
This package contains BMP mage provider for DirectFB.

%description -n DirectFB-image-bmp -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc grafik BMP.

%package -n DirectFB-image-pnm
Summary:	PNM image provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca grafik PNM
Group:		Libraries
%requires_eq	DirectFB

%description -n DirectFB-image-pnm
This package contains PNM image provider. It supports PBM, PGM and PPM
formats (both ASCII and RAW).

%description -n DirectFB-image-pnm -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc grafik PNM.
Obsuguje formaty PBM, PGM i PPM (zarwno ASCII, jak i binarne).

%package -n DirectFB-image-svg
Summary:	SVG image provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca grafik SVG
Group:		Libraries
%requires_eq	DirectFB

%description -n DirectFB-image-svg
This package contains SVG image provider using Cairo library.

%description -n DirectFB-image-svg -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc grafik SVG przy
uyciu biblioteki Cairo.

%package -n DirectFB-video-ffmpeg
Summary:	FFmpeg video provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca obraz przez FFmpeg
Group:		Libraries
%requires_eq	DirectFB
%requires_eq	FusionSound

%description -n DirectFB-video-ffmpeg
This package contains video provider for DirectFB using FFmpeg codecs.

%description -n DirectFB-video-ffmpeg -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajac obraz poprzez
FFmpeg.

%package -n DirectFB-video-libmpeg3
Summary:	MPEG video provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca obraz MPEG
Group:		Libraries
%requires_eq	DirectFB

%description -n DirectFB-video-libmpeg3
This package contains MPEG (MPEG-1 and MPEG-2) video provider for
DirectFB. It uses libmpeg3 library.

%description -n DirectFB-video-libmpeg3 -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajac obraz MPEG
(MPEG-1 i MPEG-2) przy uyciu biblioteki libmpeg3.

%package -n DirectFB-video-openquicktime
Summary:	OpenQuicktime video provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca obraz OpenQuicktime
Group:		Libraries
%requires_eq	DirectFB

%description -n DirectFB-video-openquicktime
This package contains OpenQuicktime video provider for DirectFB. It
supports all RGB and YUV formats and does audio playback.

%description -n DirectFB-video-openquicktime -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc obraz
OpenQuicktime. Obsuguje wszystkie formaty RGB i YUV oraz odtwarza
dwik.

%package -n DirectFB-video-swf
Summary:	ShockWave Flash video provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca obraz ShockWave Flash
Group:		Libraries
%requires_eq	DirectFB

%description -n DirectFB-video-swf
This package contains SWF (ShockWave Flash) video provider for
DirectFB. It uses flash library.

%description -n DirectFB-video-swf -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc obraz SWF
(ShockWave Flash) przy uyciu biblioteki flash.

%package -n DirectFB-video-swfdec
Summary:	ShockWave Flash video provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca obraz ShockWave Flash
Group:		Libraries
%requires_eq	DirectFB

%description -n DirectFB-video-swfdec
This package contains SWF (ShockWave Flash) video provider for
DirectFB. It uses swfdec library.

%description -n DirectFB-video-swfdec -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc obraz SWF
(ShockWave Flash) przy uyciu biblioteki swfdec.

%package -n DirectFB-video-xine
Summary:	XINE video provider for DirectFB
Summary(pl):	DirectFB - wtyczka dostarczajca obraz XINE
Group:		Libraries
%requires_eq	DirectFB
%requires_eq	xine-lib

%description -n DirectFB-video-xine
This package contains video provider for DirectFB which uses XINE
library and plugins. It handles a wide range of video formats.

%description -n DirectFB-video-xine -l pl
Ten pakiet zawiera wtyczk dla DirectFB dostarczajc obraz przy
uyciu biblioteki i wtyczek XINE. Obsuguje szeroki zakres formatw
obrazu.

%package -n xine-ui-dfb
Summary:	DirectFB-based XINE UI
Summary(pl):	Interfejs uytkownika XINE oparty na DirectFB
Group:		Applications/Multimedia
%requires_eq	DirectFB
Requires:	xine-lib >= 2:1.0-0.rc3

%description -n xine-ui-dfb
DirectFB-based XINE UI. This package contains also DirectFB video
output plugin for XINE.

%description -n xine-ui-dfb -l pl
Interfejs uytkownika XINE oparty na DirectFB. Zawiera take wtyczk
wyjcia obrazu DirectFB dla XINE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="-I/usr/include/libmpeg3"
%configure \
	--disable-avifile \
	%{?with_flash:--enable-flash} \
	%{?with_mpg:--enable-libmpeg3} \
	--enable-openquicktime \
	--enable-svg \
	--enable-swfdec

%{__make} \
	MODULEDIR=%{dfbdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MODULEDIR=%{dfbdir}

rm -f $RPM_BUILD_ROOT%{dfbdir}/interfaces/*/*.la \
	$RPM_BUILD_ROOT%{_libdir}/xine/plugins/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -n DirectFB-image-imlib2
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_imlib2.so

%files -n DirectFB-image-bmp
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_bmp.so

%files -n DirectFB-image-pnm
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_pnm.so

%files -n DirectFB-image-svg
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBImageProvider/libidirectfbimageprovider_svg.so

%files -n DirectFB-video-openquicktime
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_openquicktime.so

%files -n DirectFB-video-ffmpeg
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_ffmpeg.so

%if %{with mpg}
%files -n DirectFB-video-libmpeg3
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_libmpeg3.so
%endif

%if %{with flash}
%files -n DirectFB-video-swf
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_swf.so
%endif

%files -n DirectFB-video-swfdec
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_swfdec.so

%files -n DirectFB-video-xine
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{dfbdir}/interfaces/IDirectFBVideoProvider/libidirectfbvideoprovider_xine.so

%files -n xine-ui-dfb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/df_xine
%attr(755,root,root) %{_libdir}/xine/plugins/*/xineplug_vo_out_dfb.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: DirectFB-extra.spec,v $
Revision 1.15.4.5  2007/06/11 12:18:55  glen
- rel 2

Revision 1.15.4.4  2007/03/09 10:19:57  hawk
- according to readme ffmpeg video provider requires FusionSound

Revision 1.15.4.3  2007/03/09 10:11:03  hawk
- updated to 1.0.0
- new subpackages for BMP image provider and FFmpeg video provider

Revision 1.15.4.2  2007/03/05 22:11:00  hawk
- release 3

Revision 1.15.4.1  2006/11/07 12:54:04  glen
- rel 2 (rebuild with xine-lib)

Revision 1.15  2005/10/23 16:47:24  qboosh
- updated to 0.9.23, updated acfix patch

Revision 1.14  2005/03/04 23:21:26  qboosh
- updated to 0.9.22, switched to gplflash

Revision 1.13  2005/01/11 22:13:23  qboosh
- pkgconfig 0.9 BRed

Revision 1.12  2005/01/11 21:50:25  qboosh
- DirectFB epoch

Revision 1.11  2005/01/11 21:44:54  qboosh
- ac 2.52 BRed

Revision 1.10  2005/01/11 21:44:09  qboosh
- updated to 0.9.21, updated acfix patch, removed obsolete updates patch

Revision 1.9  2004/11/27 19:21:07  saq
- massive attack: more BR epoch fixes

Revision 1.8  2004/08/09 21:43:44  averne
- refresh config.sub
- rel 3

Revision 1.7  2004/01/17 16:08:52  qboosh
- added updates patch (from dfb CVS) to build with 0.9.20 API
- new-style bcond, removed *.la, release 2

Revision 1.6  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/01/17 21:49:17  qboosh
- 0.9.16, added flash video provider (moved from DirectFB)

Revision 1.3  2002/11/07 11:24:38  qboosh
- updated to 0.9.13, imlib2 provider is back

Revision 1.2  2002/11/06 23:49:19  qboosh
- added acfix patch, disabled imlib2 plugin (requires older DirectFB API)

Revision 1.1  2002/11/06 20:43:37  qboosh
- new
